CREATEDB(1)

NAME
createdb - create a new PostgreSQL database

SYNOPSIS

createdb [ options... ] [ dbname ] [ description ]

DESCRIPTION

createdb creates a new PostgreSQL database.

Normally, the database user who executes this command becomes the owner of the new database. However a different owner can be specified via the -O option, if the executing user has appropriate privileges.

createdb is a shell script wrapper around the SQL command CREATE DATABASE [create_database(7)] via the PostgreSQL interactive terminal psql(1). Thus, there is nothing special about creating databases via this or other methods. This means that the psql program must be found by the script and that a database server must be running at the targeted port. Also, any default settings and environment variables available to psql and the libpq front-end library will apply.

OPTIONS

createdb accepts the following command-line arguments:

dbname
    Specifies the name of the database to be created. The name must be unique among all PostgreSQL databases in this installation. The default is to create a database with the same name as the current system user.

description
    This optionally specifies a comment to be associated with the newly created database.

-D location

--location location
    Specifies the alternative location for the database. See also initlocation(1).

-e

--echo
    Echo the queries that createdb generates and sends to the server.

-E encoding

--encoding encoding
    Specifies the character encoding scheme to be used in this database.

-O owner

--owner owner
    Specifies the database user who will own the new database.

-q

--quiet
    Do not display a response.

-T template

--template template
    Specifies the template database from which to build this database.

The options -D, -E, -O, and -T correspond to options of the underlying SQL command CREATE DATABASE [create_database(7)]; see there for more information about them.

createdb also accepts the following command-line arguments for connection parameters:

-h host

--host host
    Specifies the host name of the machine on which the server is running. If host begins with a slash, it is used as the directory for the Unix domain socket.

-p port

--port port
    Specifies the Internet TCP/IP port or the local Unix domain socket file extension on which the server is listening for connections.

-U username

--username username
    User name to connect as

-W

--password
    Force password prompt.

DIAGNOSTICS

CREATE DATABASE
    The database was successfully created.

createdb: Database creation failed.
    (Says it all.)

createdb: Comment creation failed. (Database was created.)
    The comment/description for the database could not be created. The database itself will have been created already. You can use the SQL command COMMENT ON DATABASE to create the comment later on.

If there is an error condition, the backend error message will be displayed. See CREATE DATABASE [create_database(7)] and psql(1) for possibilities.

ENVIRONMENT

PGDATABASE
    If set, the name of the database to create, unless overridden on the command line.

PGHOST

PGPORT

PGUSER
    Default connection parameters. PGUSER also determines the name of the database to create, if it is not specified on the command line or by PGDATABASE.

EXAMPLES

To create the database demo using the default database server:

$ createdb demo
CREATE DATABASE

The response is the same as you would have gotten from running the CREATE DATABASE SQL command.

To create the database demo using the server on host eden, port 5000, using the LATIN1 encoding scheme with a look at the underlying query:

$ createdb -p 5000 -h eden -E LATIN1 -e demo
CREATE DATABASE "demo" WITH ENCODING = 'LATIN1'
CREATE DATABASE

SEE ALSO
dropdb(1), CREATE DATABASE [create_database(7)]